Bug 960198 - Review Request: libyui-gtk - Gtk User Interface for libyui
Summary: Review Request: libyui-gtk - Gtk User Interface for libyui
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Schwendt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 959926
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-05-06 16:41 UTC by Björn 'besser82' Esser
Modified: 2014-03-18 11:59 UTC (History)
1 user (show)

Fixed In Version: libyui-gtk-2.43.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-21 20:29:17 UTC
Type: ---
bugs.michael: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Björn 'besser82' Esser 2013-05-06 16:41:42 UTC
Spec URL: http://besser82.fedorapeople.org/libyui/SPECS/libyui-gtk.spec
SRPM URL: http://besser82.fedorapeople.org/libyui/SRPMS/libyui-gtk-2.43.2-1.fc18.src.rpm
Description: This package contains the Gtk user interface component for libyui

This package depends on libyui which has it's review request in #959926 and also waits for a sponsor, so testing with koji was not possible at the moment.

Fedora Account System Username: besser82

Hello!

This is one my first packages I want to contribute to Fedora, so I need a sponsor. I am in good contact to upstream, esp. to the lead-maintainer and have direct-push access to the libyui github-repos, too.

BR,
  Björn Esser

Comment 1 Björn 'besser82' Esser 2013-05-09 08:43:34 UTC
Updated to V2.43.2

You can find SPEC/SRPM here: http://besser82.fedorapeople.org/pkg/libyui-gtk/

Or clone my git-repo from besser82@fedorapeople.org:public_git/libyui.git and checkout the libyui-gtk branch.

BR,
  Björn Esser

Comment 2 Michael Schwendt 2013-05-12 13:36:38 UTC
As a hint, the "Spec URL:" and "SRPM URL:" fields in bugzilla review tickets are found and parsed by the "fedora-review" tool. Keeping them up-to-date makes it possible for reviewers to run fedora-review and have the tool download the latest src.rpm.

Comment 3 Björn 'besser82' Esser 2013-05-13 18:42:09 UTC
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-gtk/libyui-gtk.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-gtk/libyui-gtk-2.43.2-1.fc18.src.rpm

Adapted Spec/SRPM urls for tracking inside "fedora-review" tool.

Comment 4 Björn 'besser82' Esser 2013-05-15 11:55:08 UTC
Spec URL: http://besser82.fedorapeople.org/pkg/libyui-gtk/libyui-gtk.spec
SRPM URL: http://besser82.fedorapeople.org/pkg/libyui-gtk/libyui-gtk-2.43.3-1.fc18.src.rpm

New upstream version. Thanks for your review.

%changelog
* Wed May 15 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.3-1
- new upstream version
- adjusted %{libname}-devel min-version
- added needed bootstrap to prep

* Mon May 13 2013 Björn Esser <bjoern.esser@gmail.com> - 2.43.2-1
- Initial RPM release.

Comment 5 Michael Schwendt 2013-05-15 17:54:50 UTC
Will do a final review here, so please save yourself another update, ... but I've stumbled into the README being unclear:

The first sentence describes a "LGPLv2+" licensing, not "LGPLv2 or LGPLv3". The following applies:

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#.22or_later_version.22_licenses

There is no newer LGPL yet, and both the v2.1 and v3 license terms are included in the COPYING* files, but well, the README says "version 2, or, at your option, any higher" which includes LGPLv3+, too:

  https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Good_Licenses

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#License_Clarification

Comment 6 Björn 'besser82' Esser 2013-05-16 14:48:21 UTC
Copyright is LGPLv2.1 and/or LGPLv3 for sure.

This contradiction is a left-over from somewhen six years ago: https://github.com/libyui/libyui-gtk/commit/233ecfe55aa2313522851ab067db2a970408264e#README

I'm currently having a pull-request filed to have this issue corrected. Next version will have fixed README, then.

As you can see COPYING* were pulled in the repo by me, obsoleting old GPLv2-COPYING: https://github.com/libyui/libyui-gtk/commit/15818caa5b2e9287312b02901698a51b46a58fec

Comment 7 Michael Schwendt 2013-05-16 16:07:01 UTC
* rpmlint says:
libyui-gtk.x86_64: W: summary-not-capitalized C gtk3 User Interface for libyui


* About %_hardened_build I'm still not convinced that a GUI framework classifies as security relevant. Here's an interesting thread:

  http://lists.fedoraproject.org/pipermail/devel/2011-August/155382.html
  http://lists.fedoraproject.org/pipermail/devel/2011-August/thread.html#155358
  http://fedoraproject.org/wiki/Packaging:Guidelines#PIE

If it will become mandatory, it will likely be added to %configure, for example.


* Not related to this package, but the libyui %doc examples, which I've tried for some basic testing. I just discovered they apply the MIT license. Not a big issue, bug the -doc package's "License" tag isn't correct then.

  https://fedoraproject.org/wiki/Licensing:MIT#Modern_Style_with_sublicense

  https://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Mixed_Source_Licensing_Scenario


* What's necessary to get "examples/ManyWidgets.cc" to compile?


* This package is

APPROVED

Comment 8 Björn 'besser82' Esser 2013-05-16 16:32:16 UTC
New Package SCM Request
=======================
Package Name: libyui-gtk
Short Description: Gtk User Interface for libyui
Owners: besser82
Branches: f18 f19

Comment 9 Björn 'besser82' Esser 2013-05-16 16:45:11 UTC
* What's necessary to get "examples/ManyWidgets.cc" to compile?

How did you try?

On F18 invoking `g++ -I/usr/include/yui -Wlyui examples/ManyWidgets.cc` will do.

Comment 10 Gwyn Ciesla 2013-05-16 17:12:14 UTC
Git done (by process-git-requests).

Comment 11 Michael Schwendt 2013-05-16 18:30:25 UTC
> How did you try?

g++ $(pkg-config --cflags --libs libyui) -c ManyWidgets.cc -o ManyWidgets

-> Private mail.

Comment 12 Fedora Update System 2013-05-16 19:18:18 UTC
libyui-gtk-2.43.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/libyui-gtk-2.43.3-2.fc19

Comment 13 Fedora Update System 2013-05-16 19:21:40 UTC
libyui-gtk-2.43.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libyui-gtk-2.43.3-2.fc18

Comment 14 Fedora Update System 2013-05-17 22:16:54 UTC
libyui-gtk-2.43.3-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 15 Fedora Update System 2013-05-26 03:40:25 UTC
libyui-gtk-2.43.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 16 Fedora Update System 2013-05-27 00:28:23 UTC
libyui-gtk-2.43.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 17 Björn 'besser82' Esser 2014-03-18 11:43:59 UTC
Package Change Request
======================
Package Name: libyui-gtk
New Branches: el6
Owners: besser82

Want to build on el6, too.

Comment 18 Gwyn Ciesla 2014-03-18 11:59:17 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.